using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VeterinaryContracts.BindingModels;
using VeterinaryContracts.ViewModels;
using VeterinaryContracts.SearchModels;
using VeterinaryDataModels;

namespace VeterinaryContracts.BusinessLogicContracts
{
	public interface IDrugLogic
	{
		List<DrugViewModel>? ReadList(DrugSearchModel? model);
		DrugViewModel? ReadElement(DrugSearchModel model);
		bool Create(DrugBindingModel model);
		bool Update(DrugBindingModel model);
		bool Delete(DrugBindingModel model);
		bool MakeSell(DrugBindingModel model, int count);
	}
}
